#
# spec file for package python-imread
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-imread
Version:        0.7.6
Release:        1.2
Summary:        Image reading library
License:        MIT
URL:            http://luispedro.org/software/imread
Source:         https://files.pythonhosted.org/packages/source/i/imread/imread-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module numpy-devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  c++_compiler
BuildRequires:  fdupes
BuildRequires:  giflib-devel
BuildRequires:  libtiff-devel
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libwebp)
Requires:       python-numpy
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Mahotas-imread is a simple module with a small number of functions:

imread
    Reads an image file
imread_multi
    Reads an image file with multiple images. Currently, TIFF and STK (a TIFF
    sub-based format) support this function.
imsave
    Writes an image file

%prep
%setup -q -n imread-%{version}

%build
export EXCLUDE_WEBP=0
export CFLAGS="%{optflags}"
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
find -name '_imread.*.so' -exec cp {} imread \;
pushd imread
%pytest_arch

%files %{python_files}
%doc ChangeLog README.md
%license COPYING.MIT
%{python_sitearch}/imread
%{python_sitearch}/imread-%{version}.dist-info

%changelog
* Mon Jan  6 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.7.6
  * Fix loading paletted PNGs with transparency
- Rename README.rst to README.md in %%files section
* Sat Jan  6 2024 Dirk Müller <dmueller@suse.com>
- update to 0.7.5:
  * Fix build issue
- drop python-imread-remove-nose.patch (upstream)
* Wed Oct 27 2021 pgajdos@suse.com
- %%check: do not use nose for testing, use %%pytest_arch macro
- added patches
  fix https://github.com/luispedro/imread/issues/38
  + python-imread-remove-nose.patch
* Mon Apr 19 2021 Steve Kowalik <steven.kowalik@suse.com>
- Don't build on Python 3.6, due to no NumPy.
* Tue Apr 14 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.7.4
  * Add missing data to distribution
  * Fix several memory access bugs in parsers (reported by Robert Scott)
* Wed May 22 2019 pgajdos@suse.com
- version update from 0.6.1 to 0.7.1
  * Fix 16-bit RGB/RGBA TIFF write
  * Support reading ImageJ ROIs
* Wed May  9 2018 toddrme2178@gmail.com
- Update to version 0.8.1
  * Support pathlib paths as function arguments
  * Fix 16 bit PNG write support (patch by Tomi Aarnio)
* Mon May 22 2017 toddrme2178@gmail.com
- Initial version
